### Class

# Gtk TextChildAnchor

#### Description [src]

    class Gtk.TextChildAnchor : GObject.Object
    {
      /* No available fields */
    }

Marks a spot in a `GtkTextBuffer` where child widgets can be “anchored”.

The anchor can have multiple widgets anchored, to allow for multiple views.

#### Ancestors

- GObject

#### Constructors

###### gtk_text_child_anchor_new

Creates a new `GtkTextChildAnchor`.

###### gtk_text_child_anchor_new_with_replacement

Creates a new `GtkTextChildAnchor` with the given replacement character.

since: 4.6

#### Instance methods

###### gtk_text_child_anchor_get_deleted

Determines whether a child anchor has been deleted from the buffer.

###### gtk_text_child_anchor_get_widgets

Gets a list of all widgets anchored at this child anchor.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkTextChildAnchorClass {
      GObjectClass parent_class;
      void (* _gtk_reserved1) (
    void
      );
      void (* _gtk_reserved2) (
    void
      );
      void (* _gtk_reserved3) (
    void
      );
      void (* _gtk_reserved4) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_gtk_reserved1: void (* _gtk_reserved1) ( void )`

  No description available.

`_gtk_reserved2: void (* _gtk_reserved2) ( void )`

  No description available.

`_gtk_reserved3: void (* _gtk_reserved3) ( void )`

  No description available.

`_gtk_reserved4: void (* _gtk_reserved4) ( void )`

  No description available.